360鹰眼-更智能的Web安全监控系统

产品描述:

下一代web漏洞扫描器,她是一款硬件,包含:最全面的"爬出"引擎,不再需要收集资产清单,不再需要指定扫描时间,同步发现新上线业务漏洞

适用对象:

企业

价格服务:

目录价19.8万起
我了解,我要试用
高危高危

PHP开启了register_globals选项

WASC Threat Classification

发现时间:

2016-06-30

漏洞类型:

配置错误

所属建站程序:

其他

所属服务器类型:

其他

所属编程语言:

PHP

描述:

目标PHP开启了register_globals选项。PHP(外文名:PHP: Hypertext Preprocessor,中文名:“超文本预处理器”)是一种通用开源脚本语言

验证方式:

打开目标页面验证是否开启了register_globals选项。(On开启Off关闭)

危害:

register_globals选项开启可导致全局变量覆盖。

解决方案:

修改配置文件:
php.ini中进行设置
register_globals = 'off'

.htaccess中进行设置
php_flag register_globals off


如果你的网站服务器是Windows系统,建议使用"主机卫士"修复漏洞,点击下载
对该漏洞进行评论